App Transport Security (ATS) Compliance

Faizan Khalidi - Nov 28, 2016 - Blog

 

App Transport Security enforces secure connections between internet resources (such as the backend server) and an iOS app, ensuring that internet communications via the iOS platform conform secure connection best practices.

Further to our earlier announcements and our ongoing commitment towards ensuring compliance of your applications for any security requirements, we have already ensured all our supported product versions are compliant with the Apple ATS security protocol. 

Apple has announced a cut-off date of January 2017 for all iOS applications to meet the App Store compliance with respect to App Transport Security (ATS).

While Kony has ensured application compliance through their framework, all our customers building applications to be submitted to the Apple App Store are required to ensure they are only using HTTPS in their applications and their SSL certs and load balancers are using TLS v1.2 to ensure that their applications are not rejected by the App store review process.

In case your application has a requirement that needs to access a network resource over an insecure connection, you would need to explicitly specify the domain as an exclusion in the applications info.plist. Further information on this is available on the Apple Developer site and the Kony documentation.

Here are the details of the ATS compatible Kony versions based on the product release.

Product Release

ATS Compatible Plugin Version

Release Date

7.x

iOS-GA-7.2.0

24th October 2016

6.5.x

iOS-GA-6.5.3.24

28th October 2016

6.0.x

iOS-GA-6.0.3.69

7th November 2016

 

If you have any questions about your applications, please don’t hesitate to reach out to your Customer Success team representatives or Kony Support.